# Source Generated with Decompyle++
# File: in.pyc (Python 2.7)

""" Python Character Mapping Codec mac_centeuro generated from 'MAPPINGS/VENDORS/APPLE/CENTEURO.TXT' with gencodec.py.

"""
import codecs

class Codec(codecs.Codec):
    
    def encode(self, input, errors = 'strict'):
        return codecs.charmap_encode(input, errors, encoding_table)

    
    def decode(self, input, errors = 'strict'):
        return codecs.charmap_decode(input, errors, decoding_table)



class IncrementalEncoder(codecs.IncrementalEncoder):
    
    def encode(self, input, final = False):
        return codecs.charmap_encode(input, self.errors, encoding_table)[0]



class IncrementalDecoder(codecs.IncrementalDecoder):
    
    def decode(self, input, final = False):
        return codecs.charmap_decode(input, self.errors, decoding_table)[0]



class StreamWriter(Codec, codecs.StreamWriter):
    pass


class StreamReader(Codec, codecs.StreamReader):
    pass


def getregentry():
    return codecs.CodecInfo(name = 'mac-centeuro', encode = Codec().encode, decode = Codec().decode, incrementalencoder = IncrementalEncoder, incrementaldecoder = IncrementalDecoder, streamreader = StreamReader, streamwriter = StreamWriter)

decoding_table = u'\x00\x01\x02\x03\x04\x05\x06\x07\x08\t\n\x0b\x0c\r\x0e\x0f\x10\x11\x12\x13\x14\x15\x16\x17\x18\x19\x1a\x1b\x1c\x1d\x1e\x1f !"#$%&\'()*+,-./0123456789:;<=>?@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\\]^_`abcdefghijklmnopqrstuvwxyz{|}~\x7f\xc3\x84\xc4\x80\xc4\x81\xc3\x89\xc4\x84\xc3\x96\xc3\x9c\xc3\xa1\xc4\x85\xc4\x8c\xc3\xa4\xc4\x8d\xc4\x86\xc4\x87\xc3\xa9\xc5\xb9\xc5\xba\xc4\x8e\xc3\xad\xc4\x8f\xc4\x92\xc4\x93\xc4\x96\xc3\xb3\xc4\x97\xc3\xb4\xc3\xb6\xc3\xb5\xc3\xba\xc4\x9a\xc4\x9b\xc3\xbc\xe2\x80\xa0\xc2\xb0\xc4\x98\xc2\xa3\xc2\xa7\xe2\x80\xa2\xc2\xb6\xc3\x9f\xc2\xae\xc2\xa9\xe2\x84\xa2\xc4\x99\xc2\xa8\xe2\x89\xa0\xc4\xa3\xc4\xae\xc4\xaf\xc4\xaa\xe2\x89\xa4\xe2\x89\xa5\xc4\xab\xc4\xb6\xe2\x88\x82\xe2\x88\x91\xc5\x82\xc4\xbb\xc4\xbc\xc4\xbd\xc4\xbe\xc4\xb9\xc4\xba\xc5\x85\xc5\x86\xc5\x83\xc2\xac\xe2\x88\x9a\xc5\x84\xc5\x87\xe2\x88\x86\xc2\xab\xc2\xbb\xe2\x80\xa6\xc2\xa0\xc5\x88\xc5\x90\xc3\x95\xc5\x91\xc5\x8c\xe2\x80\x93\xe2\x80\x94\xe2\x80\x9c\xe2\x80\x9d\xe2\x80\x98\xe2\x80\x99\xc3\xb7\xe2\x97\x8a\xc5\x8d\xc5\x94\xc5\x95\xc5\x98\xe2\x80\xb9\xe2\x80\xba\xc5\x99\xc5\x96\xc5\x97\xc5\xa0\xe2\x80\x9a\xe2\x80\x9e\xc5\xa1\xc5\x9a\xc5\x9b\xc3\x81\xc5\xa4\xc5\xa5\xc3\x8d\xc5\xbd\xc5\xbe\xc5\xaa\xc3\x93\xc3\x94\xc5\xab\xc5\xae\xc3\x9a\xc5\xaf\xc5\xb0\xc5\xb1\xc5\xb2\xc5\xb3\xc3\x9d\xc3\xbd\xc4\xb7\xc5\xbb\xc5\x81\xc5\xbc\xc4\xa2\xcb\x87'
encoding_table = codecs.charmap_build(decoding_table)
